Bug 478692 - totem doesn't work with dvb device
totem doesn't work with dvb device
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: totem (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-03 12:24 EST by diego
Modified: 2009-01-07 05:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-06 09:49:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a debug of totem with gstreamers plugins (104.83 KB, text/plain)
2009-01-03 12:24 EST, diego
no flags Details

  None (edit)
Description diego 2009-01-03 12:24:44 EST
Created attachment 328109 [details]
a debug of totem with gstreamers plugins

Description of problem: I have installed gstreamer-plugins-bad-0.10.9-1 from rpmfusion for play my dvb with totem. But totem doesn't read /usr/lib64/libgstdvb.so. It find a plugins but without result.


Version-Release number of selected component (if applicable):
totem-2.24.3-1.fc10.x86_64
totem-xine-2.24.3-1.fc10.x86_64
gnome-python2-totem-2.23.0-1.fc10.x86_64
totem-gstreamer-2.24.3-1.fc10.x86_64
gstreamer-0.10.21-2.fc10.x86_64
gstremer-plugins-bad-0.10.9-1.fc10.x86_64
PackageKit-gstreamer-plugin-0.3.12-1.fc10.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

I attach a gstreamers/totem log
Comment 1 Bastien Nocera 2009-01-05 05:57:18 EST
This is weird, what's the output of:
gst-inspect-0.10 dvbbasebin
on your system.
Comment 2 diego 2009-01-06 09:17:00 EST
The output of gst-inspect-0.10 dvbbasebin in my system is this:

Factory Details:
  Long name:	DVB bin
  Class:	Source/Bin/Video
  Description:	Access descramble and split DVB streams
  Author(s):	Alessandro Decina <alessandro@nnva.org>
  Rank:		none (0)

Plugin Details:
  Name:			dvb
  Description:		DVB elements
  Filename:		/usr/lib64/gstreamer-0.10/libgstdvb.so
  Version:		0.10.9
  License:		LGPL
  Source module:	gst-plugins-bad
  Binary package:	gst-plugins-bad rpmfusion rpm
  Origin URL:		http://rpmfusion.org/

GObject
 +----GstObject
       +----GstElement
             +----GstBin
                   +----DvbBaseBin

Interfacce implementate:
  GstChildProxy
  GstURIHandler

Pad Templates:
  SRC template: 'program_%d'
    Availability: Sometimes
    Capabilities:
      video/mpegts
           systemstream: true

  SRC template: 'src%d'
    Availability: On request
      Has request_new_pad() function: 0x6141c0
    Capabilities:
      video/mpegts
           systemstream: true


Element Flags:
  no flags set

Bin Flags:
  no flags set

Element Implementation:
  Has change_state() function: 0x613370
  Has custom save_thyself() function: gst_bin_save_thyself
  Has custom restore_thyself() function: gst_bin_restore_thyself

Clocking Interaction:
  element requires a clock
  element is supposed to provide a clock but returned NULL

Indexing capabilities:
  element can do indexing

URI handling capabilities:
  Element can act as source.
  Supported URI protocols:
    dvb

Pads:
  none

Element Properties:
  name                : The name of the object
                        flags: leggibile, scrivibile
                        String. Default: null Current: "dvbbasebin0"
  async-handling      : The bin will handle Asynchronous state changes
                        flags: leggibile, scrivibile
                        Boolean. Default: false Current: false
  adapter             : The adapter device number (eg. 0 for adapter0)
                        flags: leggibile, scrivibile
                        Integer. Range: 0 - 16 Default: 0 Current: 0
  frontend            : The frontend device number (eg. 0 for frontend0)
                        flags: leggibile, scrivibile
                        Integer. Range: 0 - 16 Default: 0 Current: 0
  diseqc-source       : DISEqC selected source (-1 disabled) (DVB-S)
                        flags: leggibile, scrivibile
                        Integer. Range: -1 - 7 Default: -1 Current: -1
  frequency           : Frequency
                        flags: leggibile, scrivibile
                        Integer. Range: 0 - 2147483647 Default: 0 Current: 0
  polarity            : Polarity [vhHV] (DVB-S)
                        flags: leggibile, scrivibile
                        String. Default: "h" Current: "H"
  symbol-rate         : Symbol Rate (DVB-S, DVB-C)
                        flags: leggibile, scrivibile
                        Integer. Range: 0 - 2147483647 Default: 0 Current: 0
  bandwidth           : Bandwidth (DVB-T)
                        flags: leggibile, scrivibile
                        Enum "GstDvbSrcBandwidth" Default: 1, "7" Current: 0, "8"
                           (0): 8                - 8
                           (1): 7                - 7
                           (2): 6                - 6
                           (3): AUTO             - AUTO
  code-rate-hp        : High Priority Code Rate (DVB-T, DVB-S and DVB-C)
                        flags: leggibile, scrivibile
                        Enum "GstDvbSrcCode_Rate" Default: 9, "" Current: 9, ""
                           (0): NONE             - NONE
                           (1): 1/2              - 1/2
                           (2): 2/3              - 2/3
                           (3): 3/4              - 3/4
                           (4): 4/5              - 4/5
                           (5): 5/6              - 5/6
                           (6): 6/7              - 6/7
                           (7): 7/8              - 7/8
                           (8): 8/9              - 8/9
                           (9):                  - AUTO
  code-rate-lp        : Low Priority Code Rate (DVB-T)
                        flags: leggibile, scrivibile
                        Enum "GstDvbSrcCode_Rate" Default: 1, "1/2" Current: 0, "NONE"
                           (0): NONE             - NONE
                           (1): 1/2              - 1/2
                           (2): 2/3              - 2/3
                           (3): 3/4              - 3/4
                           (4): 4/5              - 4/5
                           (5): 5/6              - 5/6
                           (6): 6/7              - 6/7
                           (7): 7/8              - 7/8
                           (8): 8/9              - 8/9
                           (9):                  - AUTO
  guard               : Guard Interval (DVB-T)
                        flags: leggibile, scrivibile
                        Enum "GstDvbSrcGuard" Default: 1, "16" Current: 0, "32"
                           (0): 32               - 32
                           (1): 16               - 16
                           (2): 8                - 8
                           (3): 4                - 4
                           (4): AUTO             - AUTO
  modulation          : Modulation (DVB-T and DVB-C)
                        flags: leggibile, scrivibile
                        Enum "GstDvbSrcModulation" Default: 1, "QAM 16" Current: 0, "QPSK"
                           (0): QPSK             - QPSK
                           (1): QAM 16           - QAM 16
                           (2): QAM 32           - QAM 32
                           (3): QAM 64           - QAM 64
                           (4): QAM 128          - QAM 128
                           (5): QAM 256          - QAM 256
                           (6): AUTO             - AUTO
                           (7): 8VSB             - 8VSB
                           (8): 16VSB            - 16VSB
  trans-mode          : Transmission Mode (DVB-T)
                        flags: leggibile, scrivibile
                        Enum "GstDvbSrcTransmission_Mode" Default: 1, "8k" Current: 0, "2k"
                           (0): 2k               - 2k
                           (1): 8k               - 8k
                           (2): AUTO             - AUTO
  hierarchy           : Hierarchy Information (DVB-T)
                        flags: leggibile, scrivibile
                        Enum "GstDvbSrcHierarchy" Default: 1, "1" Current: 0, "NONE"
                           (0): NONE             - NONE
                           (1): 1                - 1
                           (2): 2                - 2
                           (3): 4                - 4
                           (4): AUTO             - AUTO
  inversion           : Inversion Information (DVB-T and DVB-C)
                        flags: leggibile, scrivibile
                        Enum "GstDvbSrcInversion" Default: 1, "ON" Current: 0, "OFF"
                           (0): OFF              - OFF
                           (1): ON               - ON
                           (2): AUTO             - AUTO
  program-numbers     : Colon separated list of programs
                        flags: leggibile, scrivibile
                        String. Default: "" Current: ""
  stats-reporting-interval: The number of reads before reporting frontend stats
                        flags: leggibile, scrivibile
                        Unsigned Integer. Range: 0 - 4294967295 Default: 100 Current: 0

Children:
  mpegtsparse0
  queue0
  dvbsrc0
Comment 3 Bastien Nocera 2009-01-06 09:49:08 EST
You already filed a bug at:
http://bugzilla.gnome.org/show_bug.cgi?id=566428

Given that I'm upstream (see the about box), I don't work to be working on this in 2 separate bug tracking systems.
Comment 4 diego 2009-01-07 05:54:18 EST
Excuse me Bastien, it's my error duplicate bug report.

Note You need to log in before you can comment on or make changes to this bug.